Page MenuHomePhabricator

Upgrade PageTriage extension to use newer phan
Closed, ResolvedPublic

Description

PageTriage needs to be upgraded to a newer version of phan, our PHP static analysis tool. This brings in
over 2 years of upstream improvements and lots of bug fixes.

Please follow the instructions on how to migrate at https://www.mediawiki.org/wiki/Continuous_integration/Tutorials/Add_phan_to_a_MediaWiki_extension#Migrating_from_phan_0.8.0.

Please also set the Gerrit topic for all patches related to this effort with new-phan-plz.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptFeb 24 2019, 7:29 AM
Restricted Application added a project: Growth-Team. · View Herald TranscriptFeb 24 2019, 7:31 AM
Restricted Application added a project: User-Zoranzoki21. · View Herald TranscriptMar 16 2019, 8:22 PM

Change 497074 had a related patch set uploaded (by Zoranzoki21; owner: Zoranzoki21):
[mediawiki/extensions/PageTriage@master] Upgrade PageTriage extension to use newer phan

https://gerrit.wikimedia.org/r/497074

JTannerWMF moved this task from Inbox to External on the Growth-Team board.Mar 19 2019, 5:47 PM

Change 497074 had a related patch set uploaded (by Legoktm; owner: Zoranzoki21):
[mediawiki/extensions/PageTriage@master] Upgrade PageTriage extension to use newer phan

https://gerrit.wikimedia.org/r/497074

Change 497074 merged by jenkins-bot:
[mediawiki/extensions/PageTriage@master] Upgrade PageTriage extension to use newer phan

https://gerrit.wikimedia.org/r/497074

Legoktm closed this task as Resolved.Mar 21 2019, 1:39 AM